---
weight: 50
title: Samsung Odyssey+ Rewiring Project. (WIP)
---

So, you bought a headset from a multimillion dollar corporation, and not only do they not support it, they get mad at you for asking. Well that sucks. 

This is an incomplete project; I have not been able to get this thing to power on.

# What I know

Samsung Odyssey is listed as HDMI2.0 + USB 3.0 Interface Bound Cable
As far as I can tell, the USB is a USB A Superspeed cable.

These wires have very low impedance (0.1 on my multimeter) to the point that I had to use headphone wire to make the connection. The wires are also very fiddly - you will want to use a very sharp knife to nick the thin cable, then gently slide the insulating plastic off the end.

I also happen to know that HDMI is, supposedly, very picky about cable length, especially with twisted pairs. Cut these as close to the same length as possible.

(get hi res glossy JPEGs of how friggin' thin these things are!!)

Pre-join, the cable appears to be an HDMI 2.0 cable and a USB 3.0 Superspeed.
The potted part in the middle doesn't seem to have any sort of electrical significance; taking passes at it with a razor, it mostly just seems to combine the two cables into one cable. Will investigate again later.

Using a multimeter and an impedance test, I was able to test the connectivity of the colored wires in the O+. There's one that I haven't been able to assess what it goes to. (the light blue teeny wire)

pre-join:

## USB A 3.0 Superspeed PINS https://www.usbgear.com/usb3-info.html

| Pin # (on USB connector) | Function                    | Color     | Notes                                                                   |
|--------------------------|-----------------------------|-----------|-------------------------------------------------------------------------|
|Pin 1|GND|Bare Wire||
|Pin 2|Data-|Light Blue Twisted Pair (Green wire)||
|Pin 3|Data+|Light Blue Twisted Pair (White wire)||
|Pin 4|Power|Matte Red|There should be two of these|
|Pin 5|Receive-|Orange Twisted Pair (White wire)||
|Pin 6|Receive+|Orange Twisted Pair (Blue wire)||
|Pin 7|DRAIN_GND|Casing, silver wires in orange and yellow twisted pair||
|Pin 8|Transmit-|Yellow Twisted Pair (White wire)||
|Pin 9|Transmit+|Yellow Twisted Pair (Blue wire)||
|Pin 10|GND|Possibly also the casing?||

|Pin ??|Light Blue teeny wire|I know it goes to the USB side, but not sure where........




## HDMI 2.0 PINS (sourced from https://www.etechnophiles.com/hdmi-connector-pinout/#type-a-hdmi-connector-pinout) and a multimeter:

| Pin # (on USB connector) | Function                    | Color     | Notes                                                                   |
|--------------------------|-----------------------------|-----------|-------------------------------------------------------------------------|
|Pin 1|TDMS Data 2+|twisted blue (blue wire)||
|Pin 2|TDMS Data 2 Shield?|twisted blue (bare wire)||
|Pin 3|TDMS Data 2-|twisted blue (white wire)||
|Pin 4|TDMS Data 1+|twisted red (blue wire)||
|Pin 5|TDMS Data 1 SHIELD?|twisted red (bare wire)||
|Pin 6|TDMS Data 1-|twisted red (white wire)||
|Pin 7|TDMS DATA 0+|twisted black (Blue)||
|Pin 8|TDMS DATA 0 SHIELD?|twisted black (Bare)||
|Pin 9|TDMS DATA 0|twisted black (White)||
|Pin 10|TDMS CLOCK+|twisted silver (Blue wire)||
|Pin 11|TDMS CLOCK SHIELD?|twisted silver (bare)||
|Pin 12|TDMS CLOCK-|twisted silver (White wire)||
|Pin 13|CEC ground|??? apparently might not be needed||
|Pin 14|CEC Data?|??? apparently might not be needed||
|Pin 15|DDC Clock|Yellow teeny wire|might have misinterpreted the pinouts|
|Pin 16|DDC Data|red teeny wire|Might have misinterpreted the pinouts.|
|Pin 17|GND|Thin bare wire.|Possibly also the casing?|
|Pin 18|+5V|light pink|| 
|Pin 19|HOTPLUG|silvurple teeny wire||
|Pin 20|???|???|my breakout board had 20 pins; possible this is just the ground again.| n/a
TODO: exact hex color values!


HDMI pins are when I'm facing the plug

this image is of the FEMALE. the MALE is reversed (ie, on the male, the pin 1 would be on the top left, the male would be on the top right




blue 3B5367
 copper/orange, 493E2F
 yellow/green, 7F7D6E
 red  290205
 silver/silvurple/purple 4E494F




post-join:
2 exposeds (1 thick 1 thin)
2 matte reds
 1 2 lblue twisted
 1 2 silver twisted
 1 2 black twisted
 1 2 blue twisted
 1 2 yellow twisted
 1 2 red twisted
 
 5 teeny wires (orange, yellow, red, blue, grey)
 
 
 = 21 total wires (15 if the twisteds are the same)
 
 
 impedance:
 
 Long story short I tried bridging the gap with CAT6 wire, which is no bueno for HDMI. Any cable patching needs to be with something like 0.1 ohms.
 
 
 
 
 
 
 Sources:
 https://www.solder.party/docs/usb-c-breakout/3/?
 https://www.etechnophiles.com/hdmi-connector-pinout/#type-a-hdmi-connector-pinout
 
 wiring:
 
 https://www.reddit.com/r/WindowsMR/comments/sa0o0k/i_managed_to_repair_a_broken_samsung_odyssey_and/ by StupidHorseface
  https://imgur.com/a/2cfu4iP - samsung rewiring, 2019
 
 
 
 https://imgur.com/a/xoYdEoP - samsung teardown, 2019

https://www.reddit.com/r/Soundbars/comments/13krerz/blocking_cec_pin_13_on_the_hdmi_cable_resolved/ - blocking the CEC pin / not connecting it.


stuff I haven't tried:

opening the samsung guts:

 https://www.reddit.com/r/WindowsMR/comments/a6vh5b/samsung_hmd_odyssey_partial_teardown_new_pics/ by josh6499
 https://imgur.com/gallery/WGVj0sM (includes a closeup of the proprietary cable end)
 https://imgur.com/a/xoYdEoP (ditto - the cable cannot be removed without the halo)
 https://imgur.com/a/oBFWFm3
 
 repairing the o+ controller touchpad:
 https://www.reddit.com/r/WindowsMR/comments/hs4koi/how_do_you_disassemble_a_samsung_odyssey_plus/
 
 
 reflashing the o+ firmware
 https://www.reddit.com/r/WindowsMR/comments/n03om7/samsung_odyssey_plus_reflash_firmware_method/
 

Better O+ display (pixel density):
https://steamcommunity.com/app/719950/discussions/0/3276824488715073552/?ctp=3


https://github.com/Fraxul/Explorer-Breakout (for the Lenovo Explorer; but could use the spacer and board concept to replace the O+ cable.


 
 